Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.javaee6
Interface InjectionTargetType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  InjectionTargetTypeImpl

    public interface InjectionTargetType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `injection-targetType` xsd type

Original Documentation:

An injection target specifies a class and a name within
that class into which a resource should be injected.
The injection target class specifies the fully qualified
class name that is the target of the injection. The
Java EE specifications describe which classes can be an
injection target.
The injection target name specifies the target within
the specified class. The target is first looked for as a
JavaBeans property name. If not found, the target is
looked for as a field name.
The specified resource will be injected into the target
during initialization of the class by either calling the
set method for the target property or by setting a value
into the named field.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getInjectionTargetClass()` Returns the `injection-target-class` element
`java.lang.String` | `getInjectionTargetName()` Returns the `injection-target-name` element
`InjectionTargetType<T>` | `removeInjectionTargetClass()` Removes the `injection-target-class` element
`InjectionTargetType<T>` | `removeInjectionTargetName()` Removes the `injection-target-name` element
`InjectionTargetType<T>` | `setInjectionTargetClass(java.lang.String injectionTargetClass)` If not already created, a new `injection-target-class` element with the given value will be created.
`InjectionTargetType<T>` | `setInjectionTargetName(java.lang.String injectionTargetName)` If not already created, a new `injection-target-name` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setInjectionTargetClass

    InjectionTargetType<T> setInjectionTargetClass(java.lang.String injectionTargetClass)

  If not already created, a new `injection-target-class` element with the given value will be created. Otherwise, the existing `injection-target-class` element will be updated with the given value.

  Returns:
    the current instance of `InjectionTargetType`

### removeInjectionTargetClass

    InjectionTargetType<T> removeInjectionTargetClass()

  Removes the `injection-target-class` element

  Returns:
    the current instance of `InjectionTargetType`

### getInjectionTargetClass

    java.lang.String getInjectionTargetClass()

  Returns the `injection-target-class` element

  Returns:
    the node defined for the element `injection-target-class`

### setInjectionTargetName

    InjectionTargetType<T> setInjectionTargetName(java.lang.String injectionTargetName)

  If not already created, a new `injection-target-name` element with the given value will be created. Otherwise, the existing `injection-target-name` element will be updated with the given value.

  Returns:
    the current instance of `InjectionTargetType`

### removeInjectionTargetName

    InjectionTargetType<T> removeInjectionTargetName()

  Removes the `injection-target-name` element

  Returns:
    the current instance of `InjectionTargetType`

### getInjectionTargetName

    java.lang.String getInjectionTargetName()

  Returns the `injection-target-name` element

  Returns:
    the node defined for the element `injection-target-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD